package com.chinaitop.depot.intelligent.basicdata.mapper;

import com.chinaitop.depot.intelligent.basicdata.model.TStationtype;
import com.chinaitop.depot.intelligent.basicdata.model.TStationtypeExample;
import java.util.List;
import org.apache.ibatis.annotations.Param;

public interface TStationtypeMapper {
    int countByExample(TStationtypeExample example);

    int deleteByExample(TStationtypeExample example);

    int deleteByPrimaryKey(Integer id);

    int insert(TStationtype record);

    int insertSelective(TStationtype record);

    List<TStationtype> selectByExample(TStationtypeExample example);

    TStationtype selectByPrimaryKey(Integer id);

    int updateByExampleSelective(@Param("record") TStationtype record, @Param("example") TStationtypeExample example);

    int updateByExample(@Param("record") TStationtype record, @Param("example") TStationtypeExample example);

    int updateByPrimaryKeySelective(TStationtype record);

    int updateByPrimaryKey(TStationtype record);
}